ComplexSymbolFactory.ComplexSymbol

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.java_cup.runtime
Class ComplexSymbolFactory.ComplexSymbol

    java.lang.Object
      weka.core.parser.java_cup.runtime.Symbol
          weka.core.parser.java_cup.runtime.ComplexSymbolFactory.ComplexSymbol

Enclosing class:
  ComplexSymbolFactory

    public static class ComplexSymbolFactory.ComplexSymbol

extends Symbol

ComplexSymbol with detailed Location Informations and a Name

Field Summary

Fields inherited from class weka.core.parser.java_cup.runtime.Symbol
`left, parse_state, right, sym, value`

Constructor Summary
`ComplexSymbolFactory.ComplexSymbol(java.lang.String name, int id)`
`ComplexSymbolFactory.ComplexSymbol(java.lang.String name, int id, ComplexSymbolFactory.Location left, ComplexSymbolFactory.Location right)`
`ComplexSymbolFactory.ComplexSymbol(java.lang.String name, int id, ComplexSymbolFactory.Location left, ComplexSymbolFactory.Location right, java.lang.Object value)`
`ComplexSymbolFactory.ComplexSymbol(java.lang.String name, int id, int state)`
`ComplexSymbolFactory.ComplexSymbol(java.lang.String name, int id, java.lang.Object value)`
`ComplexSymbolFactory.ComplexSymbol(java.lang.String name, int id, Symbol left, Symbol right)`
`ComplexSymbolFactory.ComplexSymbol(java.lang.String name, int id, Symbol left, Symbol right, java.lang.Object value)`

Method Summary
`ComplexSymbolFactory.Location` | `getLeft()`
`ComplexSymbolFactory.Location` | `getRight()`
`java.lang.String` | `toString()` Printing this token out.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComplexSymbolFactory.ComplexSymbol

    public ComplexSymbolFactory.ComplexSymbol(java.lang.String name,
                                              int id)

### ComplexSymbolFactory.ComplexSymbol

    public ComplexSymbolFactory.ComplexSymbol(java.lang.String name,
                                              int id,
                                              java.lang.Object value)

### ComplexSymbolFactory.ComplexSymbol

    public ComplexSymbolFactory.ComplexSymbol(java.lang.String name,
                                              int id,
                                              int state)

### ComplexSymbolFactory.ComplexSymbol

    public ComplexSymbolFactory.ComplexSymbol(java.lang.String name,
                                              int id,
                                              Symbol left,
                                              Symbol right)

### ComplexSymbolFactory.ComplexSymbol

    public ComplexSymbolFactory.ComplexSymbol(java.lang.String name,
                                              int id,
                                              ComplexSymbolFactory.Location left,
                                              ComplexSymbolFactory.Location right)

### ComplexSymbolFactory.ComplexSymbol

    public ComplexSymbolFactory.ComplexSymbol(java.lang.String name,
                                              int id,
                                              Symbol left,
                                              Symbol right,
                                              java.lang.Object value)

### ComplexSymbolFactory.ComplexSymbol

    public ComplexSymbolFactory.ComplexSymbol(java.lang.String name,
                                              int id,
                                              ComplexSymbolFactory.Location left,
                                              ComplexSymbolFactory.Location right,
                                              java.lang.Object value)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Symbol`
  Printing this token out. (Override for pretty-print).

  Overrides:
    `toString` in class `Symbol`

### getLeft

    public ComplexSymbolFactory.Location getLeft()

### getRight

    public ComplexSymbolFactory.Location getRight()

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD